Extending Qt Creator Manual | SimpleReader

Extending Qt Creator Manual 4.5.2

# SimpleReader Class

(QmlJS::SimpleReader)

Inherits: | QmlJS::SimpleAbstractStreamReader

- List of all members, including inherited members

## Public Functions

| SimpleReader()
SimpleReaderNode::Ptr | readFile(const QString &fileName)
SimpleReaderNode::Ptr | readFromSource(const QString &source)

- 3 public functions inherited from QmlJS::SimpleAbstractStreamReader

## Reimplemented Protected Functions

virtual void | elementEnd() override
virtual void | elementStart(const QString &name) override
virtual void | propertyDefinition(const QString &name, const QVariant &value) override

- 5 protected functions inherited from QmlJS::SimpleAbstractStreamReader

## Member Function Documentation

### SimpleReader::SimpleReader()

Default constructs an instance of SimpleReader.

### `[override virtual protected]` void SimpleReader::elementEnd()

### `[override virtual protected]` void SimpleReader::elementStart(const QString &name)

### `[override virtual protected]` void SimpleReader::propertyDefinition(const QString &name, const QVariant &value)

### SimpleReaderNode::Ptr SimpleReader::readFile(const QString &fileName)

### SimpleReaderNode::Ptr SimpleReader::readFromSource(const QString &source)